Page MenuHomeVyOS Platform

ip6ip6 bridge conf_mode errors
Closed, ResolvedPublicBUG

Description

set interfaces tunnel tun16 encapsulation ip6ip6
set interfaces tunnel tun16 local-ip 2001:db8:aa::16
set interfaces tunnel tun16 remote-ip 2001:db8:aa::26
set interfaces tunnel tun16 address 2001:db8:bb::6/64
commit

Traceback

Date:       2020-04-21 16:48:49
VyOS image: 1.3-rolling-202004210117

['Traceback (most recent call last):\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-bridge.py", line 365, in <module>\n    apply(c)\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-bridge.py", line 331, in apply\n    br.add_port(member[\'name\'])\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/bridge.py", line 179, in add_port\n    return self.set_interface(\'add_port\', interface)\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 154, in set_interface\n    return self._set_command(self.config, name, value)\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 82, in _set_command\n    return self._command_set[name].get(\'format\', lambda _: _)(self._cmd(cmd))\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 48, in _cmd\n    return cmd(command, self.debug)\n', '  File "/usr/lib/python3/dist-packages/vyos/util.py", line 139, in cmd\n    raise OSError(code, feedback)\n', 'FileNotFoundError: [Errno 2] failed to run command: ip link set dev tun16 master br0\nreturned: \nexit code: 2\n']

[[interfaces bridge br0]] failed
Commit failed

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-202004210117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
OpenBUGNone
ResolvedBUGViacheslav

Event Timeline

Fixed, VyOS 1.3-rolling-202007230117

set interfaces tunnel tun16 encapsulation ip6ip6
set interfaces tunnel tun16 local-ip 2001:db8:aa::16
set interfaces tunnel tun16 remote-ip 2001:db8:aa::26
set interfaces tunnel tun16 address 2001:db8:bb::6/64
commit

vyos@r1-roll# run show int
Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
eth0             192.168.122.11/24                 u/u  
lo               127.0.0.1/8                       u/u  
                 ::1/128                                
tun16            2001:db8:bb::6/64                 u/u
Viacheslav closed this task as Resolved.Jul 23 2020, 3:55 PM
Viacheslav claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:15 PM